Module org.apache.sis.feature
Package org.apache.sis.feature

# Enum Class FeatureFormat.Column

Object
Enum<FeatureFormat.Column>
Column

All Implemented Interfaces:
  `Serializable`, `Comparable<FeatureFormat​.Column>`, `Constable`

Enclosing class:
  `FeatureFormat`

public static enum FeatureFormat.Column extends Enum<FeatureFormat.Column>
Identifies the columns to include in the table formatted by `FeatureFormat`. By default, all columns having at least one non-null value are shown. But a smaller set of columns can be specified to the `FeatureFormat​.setAllowedColumns(Set)` method for formatting narrower tables.

Since:
  0.8
See Also:
  - `FeatureFormat​.setAllowedColumns(Set)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CARDINALITY`
  Cardinality (for attributes) or multiplicity (for attribute types).
  `CHARACTERISTICS`
  Other attributes that describes the attribute.
  `DESIGNATION`
  Natural language designator for the property.
  `NAME`
  Name of the property.
  `REMARKS`
  Whether a property is deprecated, or other remarks.
  `TYPE`
  Type of property values.
  `VALUE`
  Property value (for properties) or default value (for property types).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FeatureFormat​.Column`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FeatureFormat​.Column[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DESIGNATION

    public static final FeatureFormat.Column DESIGNATION
    Natural language designator for the property. This is the character sequence returned by `AbstractIdentifiedType​.getDesignation()`. This column is omitted if no property has a designation.

  - ### NAME

    public static final FeatureFormat.Column NAME
    Name of the property. This is the character sequence returned by `AbstractIdentifiedType​.getName()`.

  - ### TYPE

    public static final FeatureFormat.Column TYPE
    Type of property values. This is the type returned by `DefaultAttributeType​.getValueClass()` or `DefaultAssociationRole​.getValueType()`.

  - ### CARDINALITY

    public static final FeatureFormat.Column CARDINALITY
    Cardinality (for attributes) or multiplicity (for attribute types). The cardinality is the actual number of attribute values. The multiplicity is the minimum and maximum occurrences of attribute values. The multiplicity is made from the numbers returned by `DefaultAttributeType​.getMinimumOccurs()` and `DefaultAttributeType​.getMaximumOccurs()`.

  - ### VALUE

    public static final FeatureFormat.Column VALUE
    Property value (for properties) or default value (for property types). This is the value returned by `AbstractAttribute​.getValue()`, `AbstractAssociation​.getValue()` or `DefaultAttributeType​.getDefaultValue()`.

  - ### CHARACTERISTICS

    public static final FeatureFormat.Column CHARACTERISTICS
    Other attributes that describes the attribute. This is made from the map returned by `AbstractAttribute​.characteristics()`. This column is omitted if no property has characteristics.

  - ### REMARKS

    public static final FeatureFormat.Column REMARKS
    Whether a property is deprecated, or other remarks. This column is omitted if no property has remarks.

- ## Method Details

  - ### values

    public static FeatureFormat.Column[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FeatureFormat.Column valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null